#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue May 21 20:08:33 2019

@author: liaf-ankylosaurus-admin
"""

import logging
from logging.handlers import SocketHandler

log = logging.getLogger('Root logger')
gui_log = log.getChild("GUI logger")
worker_log = log.getChild("Worker logger")

log.setLevel(1)  # to send all records to cutelog
socket_handler = SocketHandler('127.0.0.1', 19996)  # default listening address
log.addHandler(socket_handler)
log.info('Hello world!')
gui_log.info('hello')
worker_log.info('hello')
